QT = core network
QT -= gui

CONFIG += c++17 cmdline

TARGET = RedisAgent
TEMPLATE = lib

unix{
}
else{
#DESTDIR = $$PWD/../bin/plugins
DESTDIR = $$PWD/../lib
}

#DEFINES += REDISAGENT_LIBRARY

INCLUDEPATH += ../include
LIBS += -L$$PWD/lib/ -lhiredis

SOURCES += \
    Redis.cpp \
    RedisAgent.cpp

HEADERS += \
    Redis.h \
    RedisAgent.h \
    include/adapters/qt.h
